binary.h File Reference

Binary class definition. More...

`#include <itpp/base/itassert.h>`
`#include <itpp/itexports.h>`

Go to the source code of this file.

## Classes

class | itpp::bin
| Binary arithmetic (boolean) class. More...

## Namespaces

| itpp
| itpp namespace

## Functions

std::ostream & | itpp::operator<< (std::ostream &output, const bin &inbin)
| Output stream of bin.
std::istream & | itpp::operator>> (std::istream &input, bin &outbin)
| Input stream of bin.
bin | itpp::abs (const bin &inbin)
| absolute value of bin
int | std::abs (const itpp::bin &inbin)
| absolute value of bin

## Detailed Description

Binary class definition.

Author
  Tony Ottosson

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file binary.h.

Generated on Sat Sep 30 2017 07:04:09 for IT++ by Doxygen 1.8.13